import request from '@/utils/request'

// 查询设备台账列表
export function listBaseDeviceLedger(query) {
  return request({
    url: '/mes/base/baseDeviceLedger/list',
    method: 'get',
    params: query
  })
}

// 查询设备台账详细
export function getBaseDeviceLedger(objId) {
  return request({
    url: '/mes/base/baseDeviceLedger/' + objId,
    method: 'get'
  })
}

// 新增设备台账
export function addBaseDeviceLedger(data) {
  return request({
    url: '/mes/base/baseDeviceLedger',
    method: 'post',
    data: data
  })
}

// 修改设备台账
export function updateBaseDeviceLedger(data) {
  return request({
    url: '/mes/base/baseDeviceLedger',
    method: 'put',
    data: data
  })
}

// 删除设备台账
export function delBaseDeviceLedger(objId) {
  return request({
    url: '/mes/base/baseDeviceLedger/' + objId,
    method: 'delete'
  })
}

// 查询设备台账下拉框列表
export function getDeviceLedger(query) {
  return request({
    url: '/mes/base/baseDeviceLedger/getDeviceLedger',
    method: 'get',
    params: query
  })
}
